Bug 481731 - Review Request: resource-agents - Open Source HA Resource Agents for Red Hat Cluster
Review Request: resource-agents - Open Source HA Resource Agents for Red Hat ...
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Jim Meyering
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-01-27 07:42 EST by Fabio Massimo Di Nitto
Modified: 2013-03-13 16:40 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-02-24 07:54:30 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
meyering: fedora‑review+
kevin: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Fabio Massimo Di Nitto 2009-01-27 07:42:07 EST
Spec URL: http://fabbione.fedorapeople.org/ras/01/resource-agents.spec
SRPM URL: http://fabbione.fedorapeople.org/ras/01/resource-agents-3.0.0-1.alpha3.fc11.src.rpm
Description: Red Hat Resource Agents provides a set of scripts to interface with several services to operate in a High Availability environment.

The resource-agents are, at this point in time, released together with cluster (srpm). Upstream has been evaluating for sometime the area that receives the most frequent updates. resource agents is one of them. by separating the agents into its own tarball and rpm it makes updates a lot simpler for everybody.

This package will replace parts of rgmanager rpm once approved (see also note in the spec file). rgmanager will be update accordingly at the right time as I don't want to break rgmanager functionalities in a transition phase while this package is reviewed.

thanks
Fabio
Comment 1 Fabio Massimo Di Nitto 2009-02-06 03:08:36 EST
As rawhide and upstream change, new versions of spec and srpm:

Spec URL: http://fabbione.fedorapeople.org/ras/02/resource-agents.spec
SRPM URL: http://fabbione.fedorapeople.org/ras/02/resource-agents-3.0.0-1.alpha4.fc11.src.rpm

Thanks
Fabio
Comment 2 Jim Meyering 2009-02-19 08:41:33 EST
looks fine (though the scripts need separate review).  There was one "should" I pointed out (add LICENSE), and Fabio said he'd address it.
Comment 3 Fabio Massimo Di Nitto 2009-02-19 08:53:35 EST
In order to address the LICENSE file missing, I'll have to release a new upstream tarball. It will happen this week so i don't think is a big blocker.

Jim, thanks a lot for the review.
Comment 4 Fabio Massimo Di Nitto 2009-02-20 00:26:22 EST
New Package CVS Request
=======================
Package Name: resource-agents
Short Description: Open Source HA Resource Agents for Red Hat Cluster
Owners: fabbione
Branches: devel
InitialCC: fabbione
Comment 5 Kevin Fenzi 2009-02-20 14:41:41 EST
Can the reviewer here please set the fedora-review flag to + if they approve this package? 
(Also, reviewer should assign this review to themselves and moved it to ASSIGNED). 

reset fedora-cvs once thats done.
Comment 6 Fabio Massimo Di Nitto 2009-02-20 14:47:14 EST
Hi Kevin,

not sure this is a fall out from the new bugzilla packages but I got this email:

Jim Meyering <meyering@redhat.com> changed:

           What    |Removed                     |Added
----------------------------------------------------------------------------
               Flag|fedora-review?              |fedora-review+

together with Comment 2.

But even reloading the bugzilla page, the Flags (for me) were still set as fedora-review?

is this normal?

Fabio
Comment 7 Fabio Massimo Di Nitto 2009-02-20 14:56:17 EST
Jim,

sorry I need to bother you with this again but it appears that for some reason, when I added fedora-cvs+, your fedora-review+ has been changed back to -.

I spoke to Kevin on IRC and for accounting reasons admins would prefer you to set the flag back to review+, otherwise it's all cleared up.

Thanks
Fabio
Comment 8 Jim Meyering 2009-02-20 15:24:51 EST
Fabio, no problem.

I've just set the fedora-review flag to +, again,
and listed myself in "assigned to".
Comment 9 Fabio Massimo Di Nitto 2009-02-20 15:52:01 EST
New Package CVS Request
=======================
Package Name: resource-agents
Short Description: Open Source HA Resource Agents for Red Hat Cluster
Owners: fabbione
Branches: devel
InitialCC: fabbione
Comment 10 Jens Petersen 2009-02-24 06:17:25 EST
cvs done

But in future please include the main review conversation in bugzilla so there is some record of the review proper preserved for others to see: this is important.
Comment 11 Fabio Massimo Di Nitto 2009-02-24 07:54:30 EST
1157024 build (dist-f11, /cvs/pkgs:rpms/resource-agents/devel:resource-agents-3_0_0-4_alpha5_fc11) completed successfully
Comment 12 Fabio Massimo Di Nitto 2009-03-03 02:08:18 EST
Package Change Request
======================
Package Name: resource-agents
New Branches: F-10
Owners: fabbione

This was an oversight on my side (so yeah I take all the blame) from the original CVS request. The whole point of this package is to make updates simpler. So it needs to propagate into F-10 too.
Comment 13 Kevin Fenzi 2009-03-03 15:51:38 EST
cvs done.

Note You need to log in before you can comment on or make changes to this bug.